#!/usr/bin/env bash

export SPARK_SHELL_BIN_PATH=$(\
  dpkg -L conda-analytics | grep bin/spark-shell$ | grep -v "site-packages" | head -1)
if [ -z "${SPARK_SHELL_BIN_PATH}" ] ; then echo "ERROR SPARK_SHELL_BIN_PATH is empty." ; exit 1 ; fi
echo "Running $SPARK_SHELL_BIN_PATH \$@"
exec $SPARK_SHELL_BIN_PATH "$@"
